
  <!DOCTYPE html>
  <html>
    <head>
      <title>1-Graphic.stories.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/stories/1-Graphic.stories.tsx</td><td class="">97.67%</td><td class="">80%</td><td class="">86</td><td class="">84</td><td class="">2</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useMemo, useState } from &#x27;react&#x27;;
import { Graphic } from &#x27;../components&#x27;;
import {
  CustomizedTooltipField,
  CustomizedTooltipFieldValue
} from &#x27;../components/Graphic/components/CustomizedTooltip&#x27;;

export default {
  title: &#x27;Graphic&#x27;,
  component: Graphic
};

export const GraphicStory = () =&gt; {
  const data = useMemo(() =&gt; {
    return new Array(100).fill(null).map((_, idx) =&gt; ({
      id: idx + 1,
      a: Math.random() * 10,
      b: Math.random() * 100,
      c: Math.random() * 200,
      d: Math.random() * 300
    }));
  }, []);
  const xAxis = useMemo(() =&gt; ({ label: &#x27;Test label&#x27;, dataKey: &#x27;a&#x27; }), []);
  const lines = useMemo(
    () =&gt; [
      {
        name: &#x27;B&#x27;,
        dataKey: &#x27;b&#x27;
      },
      {
        name: &#x27;C&#x27;,
        dataKey: &#x27;c&#x27;
      },
      {
        name: &#x27;D&#x27;,
        dataKey: &#x27;d&#x27;
      }
    ],
    []
  );
  const [excludedPoints, onChangeExcludedPoints] = useState&lt;any[]&gt;([]);
  const [excludedBatches, onChangeExcludedBatches] = useState&lt;string[]&gt;([]);
  return (
    &lt;div style={{ width: 800, height: 800 }}&gt;
      &lt;Graphic
        excludedBatches={excludedBatches}
        excludedPoints={excludedPoints}
        onChangeExcludedBatches={onChangeExcludedBatches}
        onChangeExcludedPoints={onChangeExcludedPoints}
        showIncludeExcludeControls={true}
        renderTooltip={(payload) =&gt; (
          &lt;div&gt;
            &lt;CustomizedTooltipField&gt;
              x:{&#x27; &#x27;}
              &lt;CustomizedTooltipFieldValue&gt;
                {payload.x}
              &lt;/CustomizedTooltipFieldValue&gt;
            &lt;/CustomizedTooltipField&gt;
            &lt;CustomizedTooltipField&gt;
              y:{&#x27; &#x27;}
              &lt;CustomizedTooltipFieldValue&gt;
                {payload.y}
              &lt;/CustomizedTooltipFieldValue&gt;
            &lt;/CustomizedTooltipField&gt;
          &lt;/div&gt;
        )}
        lines={lines}
        data={data}
        xAxis={xAxis}
      /&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/stories/1-Graphic.stories.tsx&quot;,&quot;line&quot;:14,&quot;character&quot;:42,&quot;text&quot;:&quot;_&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/stories/1-Graphic.stories.tsx&quot;,&quot;line&quot;:40,&quot;character&quot;:9,&quot;text&quot;:&quot;excludedPoints&quot;,&quot;kind&quot;:2}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  